Subject: bug#68660: 29.2; ELPA: Wrong type argument w. multiple maintainers in package-menu-mode

From: Amin Bandali <[email-masked]>
Date: Sat, 27 Jan 2024 15:30:15 -0500

J.P. writes:

> Stefan Monnier <[email-masked]> writes:
>
>>>>> I can see several ways to "fix" this, but I think the simplest would be
>>> Would one of those several ways possibly include overriding the
>>> `package-desc-extras' :maintainer item scraped by `lm-maintainers' with
>>> a spec item from an elpa-packages entry? I see that support for a
>>> `:maintainer' keyword was recently added, but it appears to serve some
>>> other purpose. Anyway, I've attached a sketch of what I'm trying to
>>> describe, but I'm rather unfamiliar with this program.
>>
>> Hmm... this requires manual work per package, and it drops support for
>> multiple maintainers altogether, so I'd rather not go there.  I was
>> thinking instead of making `:maintainer` hold only a single item (the
>> improper list thingy) and use `:maintainers` to hold the list of
>> maintainers when there's more than one, which would be more
>> backward compatible and would solve the problem for all packages.
>
> Yes, what you describe definitely seems preferable. So, I guess
> `:maintainer' (singular) will always be populated no matter what, for
> the benefit of legacy clients who only speak the one. And newer clients
> will be taught to always first check `:maintainers' (plural).
>
> Please let me know if anything is required from ERC to make this a
> reality. And, of course, I very much appreciate your taking the time.
>

Sorry I'm a bit out of the loop & probably missing some context here.
I think I'd prefer to keep the personal names in ERC's Maintainer(s)
field if possible, but if it's too much of a hassle and/or impossible
then of course that's a different story.  I'll defer to J.P. and you
to go forward with whatever works best.

Thanks,
-a